<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:18 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TypeOperationsEnhanced (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TypeOperationsEnhanced (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypeOperationsEnhanced.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/utils/TypeOperationsEnhanced.html" target="_top">Frames</a></li>
<li><a href="TypeOperationsEnhanced.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.uml2.uml.util.UMLUtil">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.uml2.uml.internal.operations.NamedElementOperations">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.utils</div>
<h2 title="Class TypeOperationsEnhanced" class="title">Class TypeOperationsEnhanced</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.uml2.common.util.UML2Util</li>
<li>
<ul class="inheritance">
<li>org.eclipse.uml2.uml.util.UMLUtil</li>
<li>
<ul class="inheritance">
<li>org.eclipse.uml2.uml.internal.operations.ElementOperations</li>
<li>
<ul class="inheritance">
<li>org.eclipse.uml2.uml.internal.operations.NamedElementOperations</li>
<li>
<ul class="inheritance">
<li>org.eclipse.uml2.uml.internal.operations.PackageableElementOperations</li>
<li>
<ul class="inheritance">
<li>org.eclipse.uml2.uml.internal.operations.TypeOperations</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.utils.TypeOperationsEnhanced</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TypeOperationsEnhanced</span>
extends org.eclipse.uml2.uml.internal.operations.TypeOperations</pre>
<div class="block"><!-- begin-user-doc -->
 A static utility class that provides operations related to '<em><b>Type</b></em>' model objects.
 <!-- end-user-doc -->

 <p>
 The following operations are supported:
 <ul>
 <li><code><em>Create Association
 </em></code></li>
 <li><code><em>Get Associations</em></code></li>
 <li><code><em>Conforms To</em></code></li>
 </ul>
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.uml2.uml.util.UMLUtil">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.uml2.uml.util.UMLUtil</h3>
<code>org.eclipse.uml2.uml.util.UMLUtil.Ecore2UMLConverter, org.eclipse.uml2.uml.util.UMLUtil.PackageMerger, org.eclipse.uml2.uml.util.UMLUtil.Profile2EPackageConverter, org.eclipse.uml2.uml.util.UMLUtil.ProfileApplicationHelper, org.eclipse.uml2.uml.util.UMLUtil.QualifiedTextProvider, org.eclipse.uml2.uml.util.UMLUtil.StereotypeApplicationHelper, org.eclipse.uml2.uml.util.UMLUtil.TemplateExpander, org.eclipse.uml2.uml.util.UMLUtil.UML2EcoreConverter</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.uml2.common.util.UML2Util">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.uml2.common.util.UML2Util</h3>
<code>org.eclipse.uml2.common.util.UML2Util.Converter, org.eclipse.uml2.common.util.UML2Util.EClassMatcher, org.eclipse.uml2.common.util.UML2Util.EObjectMatcher, org.eclipse.uml2.common.util.UML2Util.EStructuralFeatureMatcher</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.uml2.uml.internal.operations.NamedElementOperations">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.uml2.uml.internal.operations.NamedElementOperations</h3>
<code>LABEL_KEY_PREFIX, NAMESPACE__MEMBER__ALL_SUBSETS</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.uml2.uml.util.UMLUtil">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.uml2.uml.util.UMLUtil</h3>
<code>ANNOTATION__DUPLICATES, ANNOTATION__REDEFINES, ANNOTATION__SUBSETS, ANNOTATION__UNION, ANNOTATION_DETAIL__BODY, ANNOTATION_DETAIL__DERIVATION, ANNOTATION_DETAIL__INITIAL, ANNOTATION_DETAIL__URI, EMF_GEN_MODEL_PACKAGE_NS_URI, ENUMERATION__CONTENT_KIND, ENUMERATION__FEATURE_KIND, ENUMERATION__VISIBILITY_KIND, ENUMERATION_LITERAL__ATTRIBUTE, ENUMERATION_LITERAL__ATTRIBUTE_WILDCARD, ENUMERATION_LITERAL__ELEMENT, ENUMERATION_LITERAL__ELEMENT_ONLY, ENUMERATION_LITERAL__ELEMENT_WILDCARD, ENUMERATION_LITERAL__EMPTY, ENUMERATION_LITERAL__GROUP, ENUMERATION_LITERAL__MIXED, ENUMERATION_LITERAL__NONE, ENUMERATION_LITERAL__READ_ONLY, ENUMERATION_LITERAL__READ_ONLY_UNSETTABLE, ENUMERATION_LITERAL__READ_WRITE, ENUMERATION_LITERAL__READ_WRITE_UNSETTABLE, ENUMERATION_LITERAL__SIMPLE, ENUMERATION_LITERAL__UNSPECIFIED, LANGUAGE__JAVA, LANGUAGE__OCL, OPTION__DISCARD, OPTION__IGNORE, OPTION__PROCESS, OPTION__REPORT, PROFILE__ECORE, STEREOTYPE__E_ATTRIBUTE, STEREOTYPE__E_CLASS, STEREOTYPE__E_DATA_TYPE, STEREOTYPE__E_ENUM, STEREOTYPE__E_ENUM_LITERAL, STEREOTYPE__E_GENERIC_TYPE, STEREOTYPE__E_OPERATION, STEREOTYPE__E_PACKAGE, STEREOTYPE__E_PARAMETER, STEREOTYPE__E_REFERENCE, STEREOTYPE__E_TYPE_PARAMETER, TAG_DEFINITION__ANNOTATIONS, TAG_DEFINITION__ATTRIBUTE_NAME, TAG_DEFINITION__BASE_PACKAGE, TAG_DEFINITION__BOUNDS, TAG_DEFINITION__CLASS_NAME, TAG_DEFINITION__DATA_TYPE_NAME, TAG_DEFINITION__ENUM_LITERAL_NAME, TAG_DEFINITION__ENUM_NAME, TAG_DEFINITION__INSTANCE_CLASS_NAME, TAG_DEFINITION__IS_ID, TAG_DEFINITION__IS_RESOLVE_PROXIES, TAG_DEFINITION__IS_TRANSIENT, TAG_DEFINITION__IS_UNSETTABLE, TAG_DEFINITION__IS_VOLATILE, TAG_DEFINITION__KEYS, TAG_DEFINITION__LITERAL, TAG_DEFINITION__LOWER_BOUND, TAG_DEFINITION__NS_PREFIX, TAG_DEFINITION__NS_URI, TAG_DEFINITION__OPERATION_NAME, TAG_DEFINITION__PACKAGE_NAME, TAG_DEFINITION__PARAMETER_NAME, TAG_DEFINITION__PREFIX, TAG_DEFINITION__REFERENCE_NAME, TAG_DEFINITION__UPPER_BOUND, TAG_DEFINITION__VISIBILITY, TAG_DEFINITION__XML_CONTENT_KIND, TAG_DEFINITION__XML_FEATURE_KIND, TAG_DEFINITION__XML_NAME, TAG_DEFINITION__XML_NAMESPACE, UML2_GEN_MODEL_PACKAGE_1_1_NS_URI, UML2_GEN_MODEL_PACKAGE_NS_URI, UML2_TYPES_PACKAGE_4_0_NS_URI, UML2_UML_PACKAGE_2_0_NS_URI, UML2_UML_PACKAGE_2_0_NS_URI_COMPATIBILITY, UML2_UML_PACKAGE_4_0_NS_URI, UML2_UML_PACKAGE_4_1_NS_URI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.uml2.common.util.UML2Util">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.uml2.common.util.UML2Util</h3>
<code>DEFAULT_URI_CONVERTER, EMPTY_STRING, LINE_SEPARATOR, PROPERTIES_FILE_EXTENSION, RESOURCE_BUNDLES, URI_SCHEME_PLATFORM, URI_SEGMENT_PLUGIN, URI_SEGMENT_RESOURCE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/utils/TypeOperationsEnhanced.html#TypeOperationsEnhanced--">TypeOperationsEnhanced</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Association</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/utils/TypeOperationsEnhanced.html#createAssociationFromProperty-org.eclipse.uml2.uml.Property-boolean-org.eclipse.uml2.uml.AggregationKind-boolean-org.eclipse.uml2.uml.AggregationKind-java.lang.String-int-int-">createAssociationFromProperty</a></span>(org.eclipse.uml2.uml.Property&nbsp;property,
                             boolean&nbsp;end1IsNavigable,
                             org.eclipse.uml2.uml.AggregationKind&nbsp;end1Aggregation,
                             boolean&nbsp;end2IsNavigable,
                             org.eclipse.uml2.uml.AggregationKind&nbsp;end2Aggregation,
                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;end2Name,
                             int&nbsp;end2Lower,
                             int&nbsp;end2Upper)</code>
<div class="block">Creates a(n) (binary) association between this type and the specified other type, with the specified navigabilities, aggregations, names, lower bounds, and upper bounds, and owned by this type's nearest package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected static org.eclipse.uml2.uml.Association</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/utils/TypeOperationsEnhanced.html#createAssociationFromProperty-org.eclipse.uml2.uml.Property-boolean-org.eclipse.uml2.uml.AggregationKind-boolean-org.eclipse.uml2.uml.AggregationKind-java.lang.String-int-int-org.eclipse.emf.ecore.EClass-">createAssociationFromProperty</a></span>(org.eclipse.uml2.uml.Property&nbsp;property,
                             boolean&nbsp;end1IsNavigable,
                             org.eclipse.uml2.uml.AggregationKind&nbsp;end1Aggregation,
                             boolean&nbsp;end2IsNavigable,
                             org.eclipse.uml2.uml.AggregationKind&nbsp;end2Aggregation,
                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;end2Name,
                             int&nbsp;end2Lower,
                             int&nbsp;end2Upper,
                             org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected static org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/utils/TypeOperationsEnhanced.html#setAssociationEnd-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Association-boolean-org.eclipse.uml2.uml.AggregationKind-">setAssociationEnd</a></span>(org.eclipse.uml2.uml.Property&nbsp;property,
                 org.eclipse.uml2.uml.Association&nbsp;association,
                 boolean&nbsp;isNavigable,
                 org.eclipse.uml2.uml.AggregationKind&nbsp;aggregation)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.uml2.uml.internal.operations.TypeOperations">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.uml2.uml.internal.operations.TypeOperations</h3>
<code>conformsTo, createAssociation, createAssociation, createAssociationEnd, createOwnedAttribute, createOwnedOperation, createOwnedProperty, getAssociations, validateTypeAndBounds</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.uml2.uml.internal.operations.PackageableElementOperations">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.uml2.uml.internal.operations.PackageableElementOperations</h3>
<code>validateNamespaceNeedsVisibility</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.uml2.uml.internal.operations.NamedElementOperations">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.uml2.uml.internal.operations.NamedElementOperations</h3>
<code>allNamespaces, allNamespaces, allOwningPackages, createDependency, createDependency, createUsage, getClientDependencies, getLabel, getLabel, getNamespace, getQualifiedName, isDistinguishableFrom, separator, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.uml2.uml.internal.operations.ElementOperations">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.uml2.uml.internal.operations.ElementOperations</h3>
<code>addKeyword, allOwnedElements, allOwnedElements, applyAllRequiredStereotypes, applyAllRequiredStereotypes, applyAllStereotypes, applyAllStereotypes, applyStereotype, createEAnnotation, destroy, destroy, destroyAll, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getDefinition, getDefinition, getExtension, getKeywords, getModel, getNearestPackage, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyAllNonApplicableStereotypes, unapplyAllNonApplicableStereotypes, unapplyAllNonApplicableStereotypes, unapplyStereotype, validateHasOwner, validateNotOwnSelf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.uml2.uml.util.UMLUtil">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.uml2.uml.util.UMLUtil</h3>
<code>applyStereotype, convertFromEcore, convertFromEcore, convertToEcore, convertToEcore, convertToEcore, convertToEcore, expand, expand, findNamedElements, findNamedElements, findNamedElements, findNamedElements, findNamedElements, findNamedElements, findNamedElements, findValidRedefinitions, findValidRedefinitions, findValidSubsets, findValidSubsets, getAllSubsetFeatures, getBaseElement, getBaseElement, getEClassifier, getEClassifier, getEcoreName, getEPackage, getETypeParameters, getNamedElement, getNamedElement, getNearestBaseElement, getOCLBody, getOwnedAttributes, getOwnedOperations, getOwningElement, getProfile, getProfile, getQualifiedName, getQualifiedText, getRedefinedFeatures, getStereotype, getStereotype, getStereotype, getStereotypeApplication, getTagDefinition, getTaggedValue, init, isBoolean, isInteger, isReal, isRedefinitionValid, isString, isSubset, isSubsetValid, isUnlimitedNatural, merge, merge, safeApplyStereotype, setBaseElement, setTaggedValue</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.uml2.common.util.UML2Util">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.uml2.common.util.UML2Util</h3>
<code>addConstraint, addDocumentation, addDocumentation, addInvocationDelegate, addSettingDelegate, addValidationDelegate, createEAnnotation, destroyAll, findENamedElements, findENamedElements, findEObject, findEObject, getAllContents, getCommonEType, getContainingEObject, getEAnnotation, getGreaterUpperBound, getInstanceCount, getInverseReferences, getLesserLowerBound, getMessageSubstitution, getMessageSubstitutions, getMessageSubstitutions, getMessageSubstitutions, getNonNavigableInverseReferences, getQualifiedName, getQualifiedText, getQualifiedText, getQualifiedTextSegment, getResourceBundle, getResourceBundle, getResourceBundleURIs, getResourceBundleURIs, getResourceSet, getRootContainers, getString, getValidJavaIdentifier, getValidJavaIdentifier, getValidNCName, getValidNCName, getXMIIdentifier, getXMIIdentifier, intersect, isEmpty, isNCNamePart, isNCNameStart, load, loadClassFromSystemProperty, removeReferences, safeEquals</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TypeOperationsEnhanced--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TypeOperationsEnhanced</h4>
<pre>protected&nbsp;TypeOperationsEnhanced()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setAssociationEnd-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Association-boolean-org.eclipse.uml2.uml.AggregationKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAssociationEnd</h4>
<pre>protected static&nbsp;org.eclipse.uml2.uml.Property&nbsp;setAssociationEnd(org.eclipse.uml2.uml.Property&nbsp;property,
                                                                 org.eclipse.uml2.uml.Association&nbsp;association,
                                                                 boolean&nbsp;isNavigable,
                                                                 org.eclipse.uml2.uml.AggregationKind&nbsp;aggregation)</pre>
</li>
</ul>
<a name="createAssociationFromProperty-org.eclipse.uml2.uml.Property-boolean-org.eclipse.uml2.uml.AggregationKind-boolean-org.eclipse.uml2.uml.AggregationKind-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAssociationFromProperty</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Association&nbsp;createAssociationFromProperty(org.eclipse.uml2.uml.Property&nbsp;property,
                                                                             boolean&nbsp;end1IsNavigable,
                                                                             org.eclipse.uml2.uml.AggregationKind&nbsp;end1Aggregation,
                                                                             boolean&nbsp;end2IsNavigable,
                                                                             org.eclipse.uml2.uml.AggregationKind&nbsp;end2Aggregation,
                                                                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;end2Name,
                                                                             int&nbsp;end2Lower,
                                                                             int&nbsp;end2Upper)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc -->
 <!-- begin-model-doc -->
 Creates a(n) (binary) association between this type and the specified other type, with the specified navigabilities, aggregations, names, lower bounds, and upper bounds, and owned by this type's nearest package.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - The receiving '<em><b>Type</b></em>' model object.</dd>
<dd><code>end1IsNavigable</code> - The navigability for the first end of the new association.</dd>
<dd><code>end1Aggregation</code> - The aggregation for the first end of the new association.</dd>
<dd><code>end1Name</code> - The name for the first end of the new association.</dd>
<dd><code>end1Lower</code> - The lower bound for the first end of the new association.</dd>
<dd><code>end1Upper</code> - The upper bound for the first end of the new association.</dd>
<dd><code>end1Type</code> - The type for the first end of the new association.</dd>
<dd><code>end2IsNavigable</code> - The navigability for the second end of the new association.</dd>
<dd><code>end2Aggregation</code> - The aggregation for the second end of the new association.</dd>
<dd><code>end2Name</code> - The name for the second end of the new association.</dd>
<dd><code>end2Lower</code> - The lower bound for the second end of the new association.</dd>
<dd><code>end2Upper</code> - The upper bound for the second end of the new association.
            <!-- end-model-doc --></dd>
</dl>
</li>
</ul>
<a name="createAssociationFromProperty-org.eclipse.uml2.uml.Property-boolean-org.eclipse.uml2.uml.AggregationKind-boolean-org.eclipse.uml2.uml.AggregationKind-java.lang.String-int-int-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createAssociationFromProperty</h4>
<pre>protected static&nbsp;org.eclipse.uml2.uml.Association&nbsp;createAssociationFromProperty(org.eclipse.uml2.uml.Property&nbsp;property,
                                                                                boolean&nbsp;end1IsNavigable,
                                                                                org.eclipse.uml2.uml.AggregationKind&nbsp;end1Aggregation,
                                                                                boolean&nbsp;end2IsNavigable,
                                                                                org.eclipse.uml2.uml.AggregationKind&nbsp;end2Aggregation,
                                                                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;end2Name,
                                                                                int&nbsp;end2Lower,
                                                                                int&nbsp;end2Upper,
                                                                                org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>property</code> - </dd>
<dd><code>end1IsNavigable</code> - </dd>
<dd><code>end1Aggregation</code> - </dd>
<dd><code>end2IsNavigable</code> - </dd>
<dd><code>end2Aggregation</code> - </dd>
<dd><code>end2Name</code> - </dd>
<dd><code>end2Lower</code> - </dd>
<dd><code>end2Upper</code> - </dd>
<dd><code>eClass</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypeOperationsEnhanced.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/utils/TypeOperationsEnhanced.html" target="_top">Frames</a></li>
<li><a href="TypeOperationsEnhanced.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.uml2.uml.util.UMLUtil">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.uml2.uml.internal.operations.NamedElementOperations">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
